
/*
 * Copyright 2011-2022 Cuberite Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// EnumInterfaces.cpp

// Implements the main app entrypoint for the EnumInterfaces network test
// Lists all network interfaces to the console

#include "Globals.h"
#include "OSSupport/Network.h"
#include "OSSupport/NetworkSingleton.h"





int main(int argc, char * argv[])
{
	// Initialize the cNetwork subsystem:
	LOGD("Initializing cNetwork...");
	cNetworkSingleton::Get().Initialise();

	// Enumerate all the addresses:
	printf("Enumerating all IP addresses...\n");
	auto IPs = cNetwork::EnumLocalIPAddresses();
	for (auto & ip: IPs)
	{
		LOGD("  %s", ip.c_str());
	}
	LOGD("All addresses enumerated.");

	// Terminate the cNetwork subsystem:
	cNetworkSingleton::Get().Terminate();

	LOGD("Test finished.");
	return 0;
}




